<?php

class WaashipShippingMethodController
{
    function __construct()
    {
        $this->init();
        if (is_admin()) {
            new WaashipAdminShippingMethodController();
        } else {
            new WaashipUserShippingMethodController();
        }
    }

    public function addMethod()
    {
        // require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/class/" . "WaashipDailyLogistics.php");
        // require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/class/" . "WaashipCrossBorder.php");
        require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/class/" . "WaashipSevenEleven.php");
        require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/class/" . "WaashipFamilyMart.php");
        require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/class/" . "WaashipHiLife.php");
    }

    public function init()
    {
        $this->addMethod();
        add_filter('woocommerce_shipping_methods', [$this, 'addBFShippingMethod']);
    }

    function addBFShippingMethod($methods)
    {
        // $methods['waaship_daily_logistics'] = 'WAASHIP_Daily_Logistics_Shipping_Method';
        // $methods['waaship_cross_border'] = 'WAASHIP_Cross_Border_Shipping_Method';
        $methods['waaship_seven_eleven'] = 'WAASHIP_Seven_Eleven_Shipping_Method';
        $methods['waaship_family_mart'] = 'WAASHIP_Family_Mart_Shipping_Method';
        $methods['waaship_hi_life'] = 'WAASHIP_Hi_Life_Shipping_Method';
        return $methods;
    }
}

require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/" . "AdminShippingMethodController.php");
require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/" . "UserShippingMethodController.php");

new WaashipShippingMethodController();