<?php
/*
 * Plugin Name: Waaship
 * Plugin URI: https://waaship.com/
 * Version: 1.0.4
 * Description: Waaship
 * Author: Waaship
 * License: GPL
 * License URI: https://www.gnu.org/licenses/gpl-2.0.txt
 */

define('WAASHIP_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('WAASHIP_PLUGIN_URI', plugin_dir_url(__FILE__));

class Waaship
{
    private $adminController;

    function __construct()
    {
        if (is_admin()) {
            $this->enableAdminView();
        } else {


        }
    }

    private function enableAdminView()
    {
        add_action('admin_menu', array($this, 'initialMenu'), 100);
        $this->adminController = new WaashipAdminController();
    }

    public function initialMenu()
    {
        // $subTitle = $title = "Waaship";
        // add_submenu_page(
        //     'woocommerce',
        //     $subTitle,
        //     $subTitle,
        //     'manage_options',
        //     'sub_waaship_fulfillment',
        //     array($this->adminController, 'render')
        // );
    }
}

require_once(WAASHIP_PLUGIN_DIR . "controller/" . "WaashipAdminController.php");

require_once(WAASHIP_PLUGIN_DIR . "controller/status/" . "WaashipStatusController.php");

require_once(WAASHIP_PLUGIN_DIR . "controller/order-list/" . "OrderListController.php");

require_once(WAASHIP_PLUGIN_DIR . "controller/shipping-method/" . "ShippingMethodController.php");

require_once(WAASHIP_PLUGIN_DIR . "api/" . "WaashipApiRouter.php");

new Waaship();